import React from 'react';
import { RendererProps } from '../factory';
import { Schema } from '../types';
export declare type TabProps = Schema & {
    title?: string;
    icon?: string;
    hash?: string;
    tabsMode?: '' | 'line' | 'card' | 'radio';
    tab: Schema;
    className: string;
    contentClassName: string;
    location?: any;
};
export interface TabsProps extends RendererProps {
    tabs?: Array<TabProps>;
    tabRender?: (tab: TabProps, props?: TabsProps) => React.ReactNode;
}
export interface TabsState {
    activeKey: any;
    prevKey: any;
}
export default class Tabs extends React.Component<TabsProps, TabsState> {
    static defaultProps: Partial<TabsProps>;
    id: string;
    constructor(props: TabsProps);
    componentDidMount(): void;
    componentWillReceiveProps(nextProps: TabsProps): void;
    componentDidUpdate(): void;
    autoJumpToNeighbour(): void;
    handleSelect(key: any): void;
    switchTo(index: number): void;
    currentIndex(): number;
    render(): JSX.Element | null;
}
export declare class TabsRenderer extends Tabs {
}
